[GET] ~/vehicles/{id}/offer/{calculator}/options

Gets financing calculation options.

Request Information

URI Parameters

NameDescriptionType
id

The identifier.

integer

This value is required and must not be omitted.

calculator

The calculator.

FinancialCalculator

This value is required and must not be omitted.

Body Parameters

None.

Request Formats

None.

Response Information

Resource Description

The calculated financial offer.

An instance of: FinancingCalculationOptionsResponse
NameDescriptionType
EffectiveInterestRate

Gets or sets the effective interest rate.

decimal number

Mileages

Gets or sets the mileages.

Collection of integer

Terms

Gets or sets the terms.

Collection of integer

Products

Gets or sets the products.

Collection of string

MileagesByTerms

Gets or sets the mileages by terms.

Collection of FinancingCalculationOptionsResponse+MileagesByTerm

TermsByMileages

Gets or sets the terms by mileages.

Collection of FinancingCalculationOptionsResponse+TermsByMileage

Response Formats

application/json, text/json

Sample:
{
  "effectiveInterestRate": 1.0,
  "mileages": [
    1,
    2
  ],
  "terms": [
    1,
    2
  ],
  "products": [
    "sample string 1",
    "sample string 2"
  ],
  "mileagesByTerms": [
    {
      "term": 1,
      "mileages": [
        1,
        2
      ]
    },
    {
      "term": 1,
      "mileages": [
        1,
        2
      ]
    }
  ],
  "termsByMileages": [
    {
      "mileage": 1,
      "terms": [
        1,
        2
      ]
    },
    {
      "mileage": 1,
      "terms": [
        1,
        2
      ]
    }
  ]
}